## exodusii 6.02.dfsg.1

=== exodus/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(ExodusII C CXX Fortran)

SET(EXODUSII_VERSION_MAJOR "5")
SET(EXODUSII_VERSION_MINOR "14")
SET(EXODUSII_VERSION_PATCH "0")
SET(EXODUSII_VERSION "${EXODUSII_VERSION_MAJOR}.${EXODUSII_VERSION_MINOR}")
SET(EXODUSII_VERSION_FULL "${EXODUSII_VERSION}.${EXODUSII_VERSION_PATCH}")

OPTION(BUILD_SHARED "Build the exodus libraries shared." OFF)

IF(BUILD_SHARED)
  SET(EXODUS_LIBRARY_TYPE SHARED)
ELSE(BUILD_SHARED)
  SET(EXODUS_LIBRARY_TYPE STATIC)
ENDIF(BUILD_SHARED)

SUBDIRS(cbind forbind)

find_path( NETCDF_INCLUDE_DIR netcdf.h
   $ENV{ACCESS}/inc
   $ENV{NETCDF_DIR}/inc
   $ENV{NETCDF_DIR}/include
   $ENV{NETCDF_DIR}/libsrc
)	

find_library( NETCDF_LIBRARY
   NAMES netcdf
   PATHS "$ENV{ACCESS}/lib"
         "$ENV{NETCDF_DIR}/lib"
	 "$ENV{NETCDF_DIR}/libsrc/.libs"
)

find_program (NETCDF_NCDUMP ncdump
   $ENV{ACCESS}/bin
   $ENV{NETCDF_DIR}/bin
   $ENV{NETCDF_DIR}/ncdump
)

# Hack for HDF5
find_library( HDF5_LIBRARY hdf5
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )
find_library( HDF5HL_LIBRARY hdf5_hl
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )

# Check for ZLib, but only if using HDF5.
FIND_PACKAGE(ZLIB)
IF(NOT ZLIB_LIBRARY)
   MESSAGE(FATAL_ERROR "HDF5 Support specified, cannot find ZLib.")
ENDIF()
SET(USE_ZLIB ON)
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})

=== nemesis/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
SET(NEMESIS_VERSION_MAJOR "5")
SET(NEMESIS_VERSION_MINOR "15")
SET(NEMESIS_VERSION_PATCH "0")
SET(NEMESIS_VERSION "${NEMESIS_VERSION_MAJOR}.${NEMESIS_VERSION_MINOR}")
SET(NEMESIS_VERSION_FULL "${NEMESIS_VERSION}.${NEMESIS_VERSION_PATCH}")

SET(NEMESIS_BUILD_SHARED_LIBS "${BUILD_SHARED_LIBS}")
SET(HEADERS "ne_nemesisI.h")


find_path( NETCDF_INCLUDE_DIR netcdf.h
   $ENV{ACCESS}/inc
   $ENV{NETCDF_DIR}/inc
   $ENV{NETCDF_DIR}/include
   $ENV{NETCDF_DIR}/libsrc
   )   

find_library( NETCDF_LIBRARY netcdf
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  )

find_program (NETCDF_NCDUMP ncdump
   $ENV{ACCESS}/bin
   $ENV{NETCDF_DIR}/bin
   $ENV{NETCDF_DIR}/ncdump
   )

find_library( EXODUS_LIBRARY exodus
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  )

# Hack for HDF5
find_library( HDF5_LIBRARY hdf5
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )

find_library( HDF5HL_LIBRARY hdf5_hl
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )

find_library(Z_LIBRARY z
  /usr/local/zlib/lib
  )

find_library(MATH_LIBRARY
             NAMES m
             PATHS /usr/lib64
                   /usr/lib
)

INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${CMAKE_CURRENT_BINARY_DIR}"
  "${CMAKE_CURRENT_SOURCE_DIR}/../exodusii/cbind/include/"
  "${CMAKE_CURRENT_BINARY_DIR}/../exodusii/cbind/include/"
  "${NETCDF_INCLUDE_DIR}")

SET(SOURCES
nemesis_wrapper.c
)

ADD_LIBRARY(nemesis ${SOURCES})
TARGET_LINK_LIBRARIES(nemesis ${EXODUS_LIBRARY} ${NETCDF_LIBRARY} ${HDF5HL_LIBRARY} ${HDF5_LIBRARY} ${Z_LIBRARY} ${MATH_LIBRARY})

ADD_EXECUTABLE(ne_test ne_ctest_wrap.c)
TARGET_LINK_LIBRARIES( ne_test nemesis ${EXODUS_LIBRARY} ${NETCDF_LIBRARY} ${HDF5HL_LIBRARY} ${HDF5_LIBRARY} ${Z_LIBRARY} ${MATH_LIBRARY})
 
INSTALL(TARGETS nemesis
  RUNTIME DESTINATION lib COMPONENT Runtime
  LIBRARY DESTINATION lib COMPONENT Runtime
  ARCHIVE DESTINATION lib COMPONENT Development)
INSTALL(FILES ${HEADERS} DESTINATION include COMPONENT Development)

=== exodus/cbind/CMakeLists.txt ===

CONFIGURE_FILE(
  ${CMAKE_CURRENT_SOURCE_DIR}/include/exodusII_cfg.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/include/exodusII_cfg.h
  @ONLY IMMEDIATE)

INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}/include"
  "${CMAKE_CURRENT_BINARY_DIR}/include"
  "${NETCDF_INCLUDE_DIR}"
)

SET(cbind_SRCS
	src/ex_close.c
	src/ex_conv.c
	src/ex_copy.c
	src/ex_create.c
	src/ex_cvt_nodes_to_sides.c
	src/ex_err.c
	src/ex_get_all_times.c
	src/ex_get_attr.c
	src/ex_get_attr_names.c
	src/ex_get_attr_param.c
	src/ex_get_block.c
	src/ex_get_block_param.c
	src/ex_get_cmap_params.c
	src/ex_get_concat_node_sets.c
	src/ex_get_concat_sets.c
	src/ex_get_concat_side_set_node_count.c
	src/ex_get_concat_side_sets.c
	src/ex_get_conn.c
	src/ex_get_coord.c
	src/ex_get_coord_names.c
	src/ex_get_coordinate_frames.c
	src/ex_get_eb_info_global.c
	src/ex_get_elem_attr.c
	src/ex_get_elem_attr_names.c
	src/ex_get_elem_blk_ids.c
	src/ex_get_elem_block.c
	src/ex_get_elem_cmap.c
	src/ex_get_elem_conn.c
	src/ex_get_elem_map.c
	src/ex_get_elem_num_map.c
	src/ex_get_elem_type.c
	src/ex_get_elem_var.c
	src/ex_get_elem_var_tab.c
	src/ex_get_elem_var_time.c
	src/ex_get_entity_count_per_polyhedra.c
	src/ex_get_glob_var_time.c
	src/ex_get_glob_vars.c
	src/ex_get_id_map.c
	src/ex_get_ids.c
	src/ex_get_info.c
	src/ex_get_init.c
	src/ex_get_init_ext.c
	src/ex_get_init_global.c
	src/ex_get_init_info.c
	src/ex_get_loadbal_param.c
	src/ex_get_map.c
	src/ex_get_map_param.c
	src/ex_get_n_attr.c
	src/ex_get_n_conn.c
	src/ex_get_n_coord.c
	src/ex_get_n_elem_attr.c
	src/ex_get_n_elem_conn.c
	src/ex_get_n_elem_num_map.c
	src/ex_get_n_elem_var.c
	src/ex_get_n_nodal_var.c
	src/ex_get_n_node_num_map.c
	src/ex_get_n_node_set.c
	src/ex_get_n_node_set_df.c
	src/ex_get_n_one_attr.c
	src/ex_get_n_side_set.c
	src/ex_get_n_side_set_df.c
	src/ex_get_n_var.c
	src/ex_get_name.c
	src/ex_get_names.c
	src/ex_get_nodal_var.c
	src/ex_get_nodal_var_time.c
	src/ex_get_node_cmap.c
	src/ex_get_node_map.c
	src/ex_get_node_num_map.c
	src/ex_get_node_set.c
	src/ex_get_node_set_dist_fact.c
	src/ex_get_node_set_ids.c
	src/ex_get_node_set_param.c
	src/ex_get_ns_param_global.c
	src/ex_get_nset_var.c
	src/ex_get_nset_var_tab.c
	src/ex_get_num_map.c
	src/ex_get_object_truth_vector.c
	src/ex_get_one_attr.c
	src/ex_get_one_elem_attr.c
	src/ex_get_partial_attr.c
	src/ex_get_partial_conn.c
	src/ex_get_partial_coord.c
	src/ex_get_partial_elem_attr.c
	src/ex_get_partial_elem_conn.c
	src/ex_get_partial_elem_map.c
	src/ex_get_partial_elem_num_map.c
	src/ex_get_partial_elem_var.c
	src/ex_get_partial_id_map.c
	src/ex_get_partial_nodal_var.c
	src/ex_get_partial_node_num_map.c
	src/ex_get_partial_node_set.c
	src/ex_get_partial_node_set_df.c
	src/ex_get_partial_num_map.c
	src/ex_get_partial_one_attr.c
	src/ex_get_partial_set_dist_fact.c
	src/ex_get_partial_side_set.c
	src/ex_get_partial_side_set_df.c
	src/ex_get_partial_var.c
	src/ex_get_processor_elem_maps.c
	src/ex_get_processor_node_maps.c
	src/ex_get_prop.c
	src/ex_get_prop_array.c
	src/ex_get_prop_names.c
	src/ex_get_qa.c
	src/ex_get_set.c
	src/ex_get_set_dist_fact.c
	src/ex_get_set_param.c
	src/ex_get_sets.c
	src/ex_get_side_set.c
	src/ex_get_side_set_dist_fact.c
	src/ex_get_side_set_ids.c
	src/ex_get_side_set_node_count.c
	src/ex_get_side_set_node_list.c
	src/ex_get_side_set_node_list_len.c
	src/ex_get_side_set_param.c
	src/ex_get_ss_param_global.c
	src/ex_get_sset_var.c
	src/ex_get_sset_var_tab.c
	src/ex_get_time.c
	src/ex_get_truth_table.c
	src/ex_get_var.c
	src/ex_get_var_name.c
	src/ex_get_var_names.c
	src/ex_get_var_param.c
	src/ex_get_var_tab.c
	src/ex_get_var_time.c
	src/ex_get_variable_name.c
	src/ex_get_variable_names.c
	src/ex_get_variable_param.c
	src/ex_inquire.c
	src/ex_ne_util.c
	src/ex_open.c
	src/ex_opts.c
	src/ex_put_all_var_param.c
	src/ex_put_all_var_param_ext.c
	src/ex_put_attr.c
	src/ex_put_attr_names.c
	src/ex_put_attr_param.c
	src/ex_put_block.c
	src/ex_put_block_param.c
	src/ex_put_cmap_params.c
	src/ex_put_cmap_params_cc.c
	src/ex_put_concat_all_blocks.c
	src/ex_put_concat_elem_block.c
	src/ex_put_concat_node_sets.c
	src/ex_put_concat_sets.c
	src/ex_put_concat_side_sets.c
	src/ex_put_concat_var_param.c
	src/ex_put_conn.c
	src/ex_put_coord.c
	src/ex_put_coord_names.c
	src/ex_put_coordinate_frames.c
	src/ex_put_eb_info_global.c
	src/ex_put_elem_attr.c
	src/ex_put_elem_attr_names.c
	src/ex_put_elem_block.c
	src/ex_put_elem_cmap.c
	src/ex_put_elem_conn.c
	src/ex_put_elem_map.c
	src/ex_put_elem_num_map.c
	src/ex_put_elem_var.c
	src/ex_put_elem_var_slab.c
	src/ex_put_elem_var_tab.c
	src/ex_put_entity_count_per_polyhedra.c
	src/ex_put_glob_vars.c
	src/ex_put_id_map.c
	src/ex_put_info.c
	src/ex_put_init.c
	src/ex_put_init_ext.c
	src/ex_put_init_global.c
	src/ex_put_init_info.c
	src/ex_put_loadbal_param.c
	src/ex_put_loadbal_param_cc.c
	src/ex_put_map.c
	src/ex_put_map_param.c
	src/ex_put_n_attr.c
	src/ex_put_n_coord.c
	src/ex_put_n_elem_attr.c
	src/ex_put_n_elem_conn.c
	src/ex_put_n_elem_num_map.c
	src/ex_put_n_nodal_var.c
	src/ex_put_n_node_num_map.c
	src/ex_put_n_node_set.c
	src/ex_put_n_node_set_df.c
	src/ex_put_n_one_attr.c
	src/ex_put_n_side_set.c
	src/ex_put_n_side_set_df.c
	src/ex_put_n_var.c
	src/ex_put_name.c
	src/ex_put_names.c
	src/ex_put_nodal_var.c
	src/ex_put_nodal_var_slab.c
	src/ex_put_node_cmap.c
	src/ex_put_node_map.c
	src/ex_put_node_num_map.c
	src/ex_put_node_set.c
	src/ex_put_node_set_dist_fact.c
	src/ex_put_node_set_param.c
	src/ex_put_ns_param_global.c
	src/ex_put_nset_var.c
	src/ex_put_nset_var_tab.c
	src/ex_put_num_map.c
	src/ex_put_one_attr.c
	src/ex_put_one_elem_attr.c
	src/ex_put_partial_attr.c
	src/ex_put_partial_coord.c
	src/ex_put_partial_elem_attr.c
	src/ex_put_partial_elem_conn.c
	src/ex_put_partial_elem_map.c
	src/ex_put_partial_elem_num_map.c
	src/ex_put_partial_id_map.c
	src/ex_put_partial_nodal_var.c
	src/ex_put_partial_node_num_map.c
	src/ex_put_partial_node_set.c
	src/ex_put_partial_node_set_df.c
	src/ex_put_partial_num_map.c
	src/ex_put_partial_one_attr.c
	src/ex_put_partial_set.c
	src/ex_put_partial_set_dist_fact.c
	src/ex_put_partial_side_set.c
	src/ex_put_partial_side_set_df.c
	src/ex_put_partial_var.c
	src/ex_put_processor_elem_maps.c
	src/ex_put_processor_node_maps.c
	src/ex_put_prop.c
	src/ex_put_prop_array.c
	src/ex_put_prop_names.c
	src/ex_put_qa.c
	src/ex_put_set.c
	src/ex_put_set_dist_fact.c
	src/ex_put_set_param.c
	src/ex_put_sets.c
	src/ex_put_side_set.c
	src/ex_put_side_set_dist_fact.c
	src/ex_put_side_set_param.c
	src/ex_put_ss_param_global.c
	src/ex_put_sset_var.c
	src/ex_put_sset_var_tab.c
	src/ex_put_time.c
	src/ex_put_truth_table.c
	src/ex_put_var.c
	src/ex_put_var_name.c
	src/ex_put_var_names.c
	src/ex_put_var_param.c
	src/ex_put_var_tab.c
	src/ex_put_variable_name.c
	src/ex_put_variable_names.c
	src/ex_put_variable_param.c
	src/ex_update.c
	src/ex_utils.c
)

SET(cbind_HEADERS
  include/exodusII.h
  include/exodusII_int.h
)

IF(APPLE)
  SET_SOURCE_FILES_PROPERTIES(
    src/ex_utils.c
    PROPERTIES
    COMPILE_FLAGS -fno-common)
ENDIF(APPLE)

ADD_LIBRARY(exoIIv2c ${EXODUS_LIBRARY_TYPE} ${cbind_SRCS})

TARGET_LINK_LIBRARIES(exoIIv2c ${NETCDF_LIBRARY} ${HDF5_LIBRARY} ${HDF5HL_LIBRARY} ${ZLIB_LIBRARY})

IF(MSVC)
  set_target_properties(exoIIv2c PROPERTIES COMPILE_DEFINITIONS _CRT_SECURE_NO_WARNINGS)
ENDIF(MSVC)

IF(EXODUS_LIBRARY_PROPERTIES)
  SET_TARGET_PROPERTIES(exoIIv2c PROPERTIES ${EXODUS_LIBRARY_PROPERTIES})
ENDIF(EXODUS_LIBRARY_PROPERTIES)

IF(NOT EXODUS_INSTALL_NO_LIBRARIES)
  INSTALL(TARGETS exoIIv2c
    RUNTIME DESTINATION lib COMPONENT Runtime
    LIBRARY DESTINATION lib COMPONENT Runtime
    ARCHIVE DESTINATION lib COMPONENT Development)
  INSTALL(FILES ${cbind_HEADERS} DESTINATION include COMPONENT Development)
ENDIF(NOT EXODUS_INSTALL_NO_LIBRARIES)


INCLUDE (${CMAKE_ROOT}/Modules/Dart.cmake)

IF (BUILD_TESTING)
  ENABLE_TESTING()
  SUBDIRS(test)
ENDIF (BUILD_TESTING)

=== exodus/forbind/CMakeLists.txt ===
# Set Mangling by hand 
# Assume _name mangling see src/exo_jack.c code for how ADDC_ will be used in
# Fortran mangling
add_definitions (-DADDC_)


find_path( NETCDF_INCLUDE_DIR netcdf.h
   $ENV{ACCESS}/inc
   $ENV{NETCDF_DIR}/inc
   $ENV{NETCDF_DIR}/include
   $ENV{NETCDF_DIR}/libsrc
)	

find_library( NETCDF_LIBRARY
   NAMES netcdf
   PATHS "$ENV{ACCESS}/lib"
         "$ENV{NETCDF_DIR}/lib"
	 "$ENV{NETCDF_DIR}/libsrc/.libs"
)

find_program (NETCDF_NCDUMP ncdump
   $ENV{ACCESS}/bin
   $ENV{NETCDF_DIR}/bin
   $ENV{NETCDF_DIR}/ncdump
)

# Hack for HDF5
find_library( HDF5_LIBRARY hdf5
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )
find_library( HDF5HL_LIBRARY hdf5_hl
  $ENV{ACCESS}/lib/shared
  $ENV{ACCESS}/lib
  $ENV{NETCDF_DIR}/lib
  $ENV{NETCDF_DIR}/libsrc/.libs
  /usr/local/hdf5/lib
  )

INCLUDE_DIRECTORIES(
  "${CMAKE_CURRENT_SOURCE_DIR}/include"
  "${CMAKE_CURRENT_SOURCE_DIR}/../cbind/include"
  "${CMAKE_CURRENT_BINARY_DIR}/include"
  "${NETCDF_INCLUDE_DIR}"
)

SET(forbind_SRCS
   src/exo_jack.c
)

ADD_LIBRARY(exoIIv2for ${EXODUS_LIBRARY_TYPE} ${forbind_SRCS})

TARGET_LINK_LIBRARIES(exoIIv2for exoIIv2c ${NETCDF_LIBRARY} ${HDF5_LIBRARY} ${HDF5HL_LIBRARY})

IF(EXODUS_LIBRARY_PROPERTIES)
  SET_TARGET_PROPERTIES(exoIIv2for PROPERTIES ${EXODUS_LIBRARY_PROPERTIES})
ENDIF(EXODUS_LIBRARY_PROPERTIES)

IF(NOT EXODUS_INSTALL_NO_LIBRARIES)
  INSTALL(TARGETS exoIIv2for
    RUNTIME DESTINATION lib COMPONENT Runtime
    LIBRARY DESTINATION lib COMPONENT Runtime
    ARCHIVE DESTINATION lib COMPONENT Development)
  INSTALL(FILES ${forbind_HEADERS} DESTINATION include COMPONENT Development)
ENDIF(NOT EXODUS_INSTALL_NO_LIBRARIES)


INCLUDE (${CMAKE_ROOT}/Modules/Dart.cmake)

IF (BUILD_TESTING)
  ENABLE_TESTING()
  SUBDIRS(test)
ENDIF (BUILD_TESTING)

=== nemesis/forbind/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.hQ1HOM>
# $XConsortium: Imake.tmpl /main/243 1996/11/13 14:42:56 lehors $
#

all::

.SUFFIXES: .i

# $XConsortium: Imake.cf /main/26 1996/09/28 16:05:09 rws $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site.def file for SNL ACCESS System

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit darwin.cf to change

#
# NOTE: This was copied from the X11 distribution and modified.
#       It includes several symbols that are not used in ACCESS.
#
# NOTE: The default flags do not do very aggressive optimization;
#       You can change this if you want (possibly) faster execution.
#
# Contact seacas@sandia.gov if you have any questions
#

# operating system:  Darwin (10.8.0)

# $XFree86: xc/config/cf/darwinLib.rules,v 1.8 2003/10/09 22:43:18 herrb Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site.def file for SNL ACCESS Darwin

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules /main/217 1996/12/05 09:48:26 kaleb $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

           SYSTEM = Darwin
          LSYSTEM = `echo $(SYSTEM) | tr "[A-Z]" "[a-z]"`

              TOP = ../../..
      CURRENT_DIR = libraries/nemesis/forbind
          DESTDIR =
   SERIALDEBUGCMD = "dbx"
  PARDEBUGCMDSNGL = "mpirun -dbx"
  PARDEBUGCMDMULT = "mpirun -dbx"

            IMAKE = $(ETCDIR)/imake
           DEPEND = $(ETCDIR)/makedepend
        MKDIRHIER = mkdir -p
    EXPORTLISTGEN =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend

          INCROOT = /Users/gdsjaar/src/SEACAS-SF-INSTALL/inc
        USRLIBDIR = /Users/gdsjaar/src/SEACAS-SF-INSTALL/lib
         SHLIBDIR = /Users/gdsjaar/src/SEACAS-SF-INSTALL/lib/shared
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /Users/gdsjaar/src/SEACAS-SF-INSTALL/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = ar cr
          ARFLAGS = cru
  BOOTSTRAPCFLAGS =
               CC = /opt/local/bin/clang-mp-3.1
               FC = /opt/local/bin/gfortran-mp-4.8
             F90C = /opt/local/bin/gfortran-mp-4.8
            CCPAR = /opt/local/bin/clang-mp-3.1
            FCPAR = /opt/local/bin/gfortran-mp-4.8
          F90CPAR = /opt/local/bin/gfortran-mp-4.8
               AS = as
             TEST = /bin/test
              M2C = /bin/true

.SUFFIXES: .cxx

              CXX = /opt/local/bin/clang++-mp-3.1
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS =
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -DBuild64 -DADDC_  $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(CXXEXTRA_INCLUDES) $(INCLUDES) $(TOP_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(DEBUG) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES) $(PROJECT_INCLUDES)

         COMPRESS = compress
              CPP = /usr/bin/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = /usr/bin/cpp -P $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = n
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 5
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

         PICFLAGS = -fPIC

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -dynamiclib -headerpad_max_install_names

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

     INSTPGMFLAGS =

     INSTETCFLAGS = -m 775 -o gdsjaar -g _developer
     INSTBINFLAGS = -m 775 -o gdsjaar -g _developer
     INSTUIDFLAGS = -m InstAccUid -o gdsjaar -g _developer
     INSTLIBFLAGS = -m 775 -o gdsjaar -g _developer
     INSTINCFLAGS = -m 775 -o gdsjaar -g _developer
     INSTMANFLAGS = -m 765 -o gdsjaar -g _developer
     INSTDATFLAGS = -m 765 -o gdsjaar -g _developer
    INSTKMEMFLAGS = -m InstAccUid -o gdsjaar -g _developer

      PROJECTROOT = /Users/gdsjaar/src/SEACAS-SF-INSTALL

     STD_INCLUDES =
  STD_CPP_DEFINES = -DBuild64 -DADDC_ $(PROJECT_DEFINES)
      STD_DEFINES = -DBuild64 -DADDC_  $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
F90EXTRALIBRARIES =
             TAGS = ctags

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(THREADS_DEFINES) $(DEFINES)

            DEBUG = -O
      CDEBUGFLAGS =
        CCOPTIONS =
     PARCCOPTIONS =
   CCEXTRAOPTIONS =
           CFLAGS = $(CDEBUGFLAGS)  $(DEBUG) $(CCOPTIONS) $(CCEXTRAOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES) $(PROJECT_INCLUDES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)

    F77DEBUGFLAGS =
       F77OPTIONS = -fno-range-check -fcray-pointer -fdefault-real-8 -fdefault-integer-8
  F77EXTRAOPTIONS =
   F77PRECOPTIONS =
    PARF77OPTIONS = -fno-range-check -fcray-pointer -fdefault-real-8 -fdefault-integer-8
   F77STATICFLAGS =
      F77CPPFLAGS = -D$(SYSTEM)
           FFLAGS = $(F77DEBUGFLAGS) $(DEBUG) $(F77OPTIONS) $(F77PRECOPTIONS) $(F77EXTRAOPTIONS) $(PROJECT_INCLUDES)

    F90DEBUGFLAGS =
       F90OPTIONS = -fno-range-check
  F90EXTRAOPTIONS =
    PARF90OPTIONS = -fno-range-check
   F90STATICFLAGS =
      F90CPPFLAGS = -D$(SYSTEM) $(STD_CPP_DEFINES)
   F90PRECOPTIONS =
F90EXTRALDOPTIONS =
         F90FLAGS = $(F90DEBUGFLAGS) $(DEBUG) $(F90OPTIONS) $(F90EXTRAOPTIONS) $(F90PRECOPTIONS) $(PROJECT_INCLUDES)

         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     PARLDOPTIONS =
           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
     CXXLDOPTIONS = $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           CCLINK = $(CC)

         NATIVECC = /opt/local/bin/clang-mp-3.1
        NATIVEF77 = /opt/local/bin/gfortran-mp-4.8
          CROSSCC = /opt/local/bin/clang-mp-3.1
  CROSSACCESSROOT = /Net/projects/seacas/janus/current
   CROSSACCESSSRC = $(CROSSACCESSROOT)/ACCESS
  CROSSALLDEFINES = -I$(CROSSACCESSROOT)/inc -Dcouar -DADDC_ -Usun
     CROSSLIBPATH = -L./ -L$(CROSSACCESSROOT)/lib
    CROSSPLIBPATH = -L./ -L$(CROSSACCESSROOT)/plib
      CROSSLIBDIR = $(CROSSACCESSROOT)/lib
     CROSSPLIBDIR = $(CROSSACCESSROOT)/plib
 CROSSPROJECTINCS = -I./ -I$(CROSSACCESSROOT)/inc

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = darwin.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =
   ITOOLS_DEFINES = -DUseSfmakedepend=0

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

# ----------------------------------------------------------------------
# ACCESS Darwin Build Parameters and Rules
# ACCESS.tmpl

          TEMPDIR = /tmp

# PROJECTNAME     : name of project
# PROJECTRELEASE  : release number of ACCESS distribution
# ACCESSSRC       : location of ACCESS source code
# ACCESSDIR       : location of ACCESS installation directories
# Set in site.def : "SNLA ACCESS", "1.0", /Users/gdsjaar/src/SEACAS-SF, /Users/gdsjaar/src/SEACAS-SF-INSTALL
      PROJECTNAME = "SNLA ACCESS"
   PROJECTRELEASE = "1.0"
        ACCESSSRC = /Users/gdsjaar/src/SEACAS-SF/ACCESS
        ACCESSDIR = /Users/gdsjaar/src/SEACAS-SF-INSTALL

        TFLOPROOT = TflopAccessRoot
       CPLANTROOT = CplantAccessRoot

# Used to specify location of hdf5 libraries for use with netcdf-4
         HDF5ROOT = /Users/gdsjaar/src/SEACAS-SF

# Source code for the ACCESS Darwin
        ITOOLSSRC = itools
      GRAPHICSSRC = graphics
          SVDISRC = svdi
     LIBRARIESSRC = libraries
        NETCDFSRC = netcdf
          HDF5SRC = hdf5
     SERIALMPISRC = serial_mpi
   APPLICATIONSRC = applications
       SCRIPTSSRC = scripts
        TESTPROBS = test
  PARLIBRARIESSRC = parallellibraries
     PARNETCDFSRC = parallelnetcdf

# Translator Subdirectories
       ALGEBRASRC = algebra
      ALGEBRA2SRC = algebra2
        CONCATSRC = concat
         CONEXSRC = conex
        CONEX2SRC = conex2
       CONJOINSRC = conjoin
         EJOINSRC = ejoin
        EMERGESRC = emerge
        EXOCTHSRC = exocth
        EXOEXOSRC = exoexo
        EXOPATSRC = exopat
        EXOSYMSRC = exosym
        EXOTRCSRC = exotrc
       EXOTEC2SRC = exotec2
        EXOTXTSRC = exotxt
       EXOTXT2SRC = exotxt2
        PATEXOSRC = patexo
        SEAEXOSRC = seaexo
      SPHGEN2DSRC = sphgen2d
      SPHGEN3DSRC = sphgen3d
     SPHGEN3D2SRC = sphgen3d2
        TXTEXOSRC = txtexo
       TXTEXO2SRC = txtexo2
       EXO2VISSRC = exo2vis
     EXOMATLABSRC = exomatlab
        EXOMATSRC = exomat
       EXO2MATSRC = exo2mat

      EX1EX2V2SRC = ex1ex2v2
      EX2EX1V2SRC = ex2ex1v2
       EXODIFFSRC = exodiff
           EPUSRC = epu
        ABAEXOSRC = abaexo
      NEM_JOINSRC = nem_join
     NEM_SLICESRC = nem_slice
    NEM_SPREADSRC = nem_spread
         WTO3DSRC = wto3d

# Graphics Subdirectories
          BLOTSRC = blot
       BLOTII2SRC = blotII2
         FASTQSRC = fastq
         FONTSSRC = fonts
         GRAPHSRC = graph

# Library Subdirectories
         SUPESSRC = supes
       SUPESDPSRC = supesdp
        SUPLIBSRC = suplib
        LEGACYSRC = legacy
     MAPVARLIBSRC = mapvarlib
        EXODUSSRC = exodus
           PLTSRC = plt
   VDI_DRIVERSSRC = vdi_drivers
          IOSSSRC = ioss
        ZOLTANSRC = zoltan
         CHACOSRC = chaco
       NEMESISSRC = nemesis
    APREPROLIBSRC = aprepro
         XHELPSRC = xhelp
# Library Subdirectories for svdi
           CGISRC = cgi
           CDRSRC = cdr
          POSTSRC = post
          TESTSRC = test

# Pre- and Post-processing Subdirectories
       APREPROSRC = aprepro
      FAILPROBSRC = failprob
         GEN3DSRC = gen3d
        GEN3D2SRC = gen3d2
      GENSHELLSRC = genshell
     GENSHELL2SRC = genshell2
      GENHXSHLSRC = genhxshl
         GJOINSRC = gjoin
        GJOIN1SRC = gjoin1
        GJOIN2SRC = gjoin2
        GREPOSSRC = grepos
       GREPOS2SRC = grepos2
         GROPESRC = grope
        MAPVARSRC = mapvar
      MAPVARKDSRC = mapvar-kd
       NUMBERSSRC = numbers
      NUMBERS2SRC = numbers2
       EX_JOINSRC = ex_join
         SPIFFSRC = spiff

# ACCESS installation directories
           BINDIR = $(ACCESSDIR)/bin
        CONFIGDIR = $(ACCESSDIR)/config
           ETCDIR = $(ACCESSDIR)/etc
           INCDIR = $(ACCESSDIR)/inc
           LIBDIR = $(ACCESSDIR)/lib
          PLIBDIR = $(ACCESSDIR)/plib
        MATLABDIR = $(ACCESSDIR)/matlab
          SVDIDIR = $(ACCESSDIR)/svdi
      SVDITESTDIR = $(ACCESSDIR)/svdi/test
      BUILDINCDIR = $(ACCESSDIR)/inc
      BUILDINCTOP = ..

=== exodus/cbind/test/CMakeLists.txt ===
ADD_DEFINITIONS(-DUSING_CMAKE)

SET( cbind_TEST_SRCS
  CreateEdgeFace.c
  ReadEdgeFace.c
)

# Always report error/warning messages during testing:
# The ex_opts call precipitates the EXTRA_INCLUDE below.
SET( CMAKE_TESTDRIVER_BEFORE_TESTMAIN
  "  ex_opts( EX_VERBOSE );\n"
)
CREATE_TEST_SOURCELIST( ExoIICTests
  ExoIICTests.cxx
  ${cbind_TEST_SRCS}
  EXTRA_INCLUDE exodusII_test.h
  )

ADD_EXECUTABLE( ExoIICTests ${ExoIICTests} )
TARGET_LINK_LIBRARIES( ExoIICTests exoIIv2c )

SET( TestsToRun ${ExoIICTests} )
REMOVE( TestsToRun ExoIICTests.cxx )

FOREACH( test ${TestsToRun} )
  GET_FILENAME_COMPONENT(TName ${test} NAME_WE)
  ADD_TEST( ${TName} ${EXECUTABLE_OUTPUT_PATH}/ExoIICTests ${TName} )
ENDFOREACH( test )
ADD_TEST( CreateEdgeFaceWithConcats ${EXECUTABLE_OUTPUT_PATH}/ExoIICTests CreateEdgeFace -pcab -pcset -pvpax )
ADD_TEST( ReadEdgeFaceWithConcats ${EXECUTABLE_OUTPUT_PATH}/ExoIICTests ReadEdgeFace )

# ===============================================

SET( cbind_OLDTESTS
  testwt
  testwtd
  testrd
  testrd1
  testrdd
  testwt1
  testwt2
  testwtm
  testwt_ss
  testwt_nossnsdf
  testrd_ss
  testrdwt
  testcp
  testcp_ln
  testcp_nl
  testcpd
  testwt_clb
  testwt_nc
  testrd_nc
  testwt-zeroe
  testwt-zeron
  testwt-one-attrib
  testwt-partial
  testrd-nsided
  testwt-nsided
  testrd-nfaced
  testwt-nfaced
  create_mesh
  rd_wt_mesh
  test_nemesis
  testwt-long-name
  testrd-long-name)

CONFIGURE_FILE(
  ${CMAKE_CURRENT_SOURCE_DIR}/testall.in
  ${CMAKE_CURRENT_BINARY_DIR}/testall
  @ONLY
)

FOREACH ( testName ${cbind_OLDTESTS} )
  ADD_EXECUTABLE( ${testName} ${testName}.c )
  TARGET_LINK_LIBRARIES( ${testName} exoIIv2c )
ENDFOREACH ( testName )

#SET( EXECUTABLE_OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR} )
ADD_CUSTOM_TARGET( check
  COMMAND /bin/csh ${CMAKE_CURRENT_BINARY_DIR}/testall
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  DEPENDS ${cbind_OLDTESTS}
)

=== exodus/forbind/test/CMakeLists.txt ===
ADD_DEFINITIONS(-DUSING_CMAKE)

SET( forbind_OLDTESTS
  testwt
  testwtd
  testrd
  testrd1
  testrdd
  testwt1
  testwt2
  testwtm
  testcp
  testcpnl
  testcpln
  testwt_nsid
  testrd_nsid
  test_nem
)

  CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/testall.in
    ${CMAKE_CURRENT_BINARY_DIR}/testall
    @ONLY
  )

  # NOTE: The "LINKER_LANGUAGE CXX" is used to workaround an issue with
  #       the trilinos cmake adding the pamgen and pamgen_extras libraries as
  #       a dependency.  These are C++ libraries and result in unresolved depedencies
  #       when built with shareable libraries on some platforms....

FOREACH ( testName ${forbind_OLDTESTS} )
  ADD_EXECUTABLE( f_${testName} ${testName}.f )
  TARGET_LINK_LIBRARIES( f_${testName} exoIIv2for )
  SET_TARGET_PROPERTIES(f_${testName} PROPERTIES LINKER_LANGUAGE Fortran)
ENDFOREACH ( testName )

ADD_CUSTOM_TARGET( f_check
  COMMAND /bin/csh ${CMAKE_CURRENT_BINARY_DIR}/testall
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

=== debian/changelog ===
exodusii (6.02.dfsg.1-8) unstable; urgency=medium

  * Update home page to github (sourceforge page gone)
  * Debhelper compat level 10
  * Standards-Version: 4.1.1; no changes required
  * Delete redundant (empty) postinst, postrm files
  * Change B-D from libhdf5-serial-dev to libhdf5-dev. Closes: #879134
  * Correct typo in symlink name: libexodusIIv2c.so

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Oct 2017 06:36:59 +0100

exodusii (6.02.dfsg.1-7) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * include exodusII.inc header file; Closes: #825481

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 May 2016 10:33:05 +0100

exodusii (6.02.dfsg.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move from experimental to unstable for netcdf transition.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Aug 2015 13:41:25 +0200

exodusii (6.02.dfsg.1-6) experimental; urgency=medium

  * Build against new libnetcdf-dev for transition.
  * Standards-Version: 3.9.6
  * Add Vcs-Git: pointing to debian-science at anonscm.debian.org 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2015 11:07:51 +0100

exodusii (6.02.dfsg.1-5) unstable; urgency=medium

  * Force build against hdf5 in unstable 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2014 09:54:52 +0100

exodusii (6.02.dfsg.1-4) unstable; urgency=medium

  * B-D on csh as now triggered for some tests.
  * Add chrpath -d now needed for hdf5 change

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Aug 2014 07:38:46 +0100

exodusii (6.02.dfsg.1-3) unstable; urgency=low

  [Gilles Fillipini]
  * New patch fix-cmake-hdf5.patch: fix cmake HDF5 detection to support
    hdf5 1.8.13 new packaging layout.

  [Alastair McKinstry]
   Now use 'xz' compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Jul 2014 13:52:08 +0100

exodusii (6.02.dfsg.1-2) unstable; urgency=medium

  * Add zlib1g-dev and libhdf5-dev to B-D. Closes: #732325. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Dec 2013 17:38:24 +0000

exodusii (6.02.dfsg.1-1) unstable; urgency=low

  * New upstream release. Closes: #699919.
  * Standards-Version: 3.9.5
  * Move arch-dep files from M-A: same. Closes: #728781.
  * Add CPPFLAGS to CFLAGS in rules to enable hardening.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Dec 2013 14:34:55 +0000

exodusii (5.24.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.4

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Jun 2013 12:33:49 +0100

=== debian/control ===
Source: exodusii
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10), 
 cmake (>= 2.4.0), 
 libnetcdf-dev, 
 gfortran, 
 libhdf5-dev, 
 zlib1g-dev, 
 csh, 
 chrpath
Standards-Version: 4.1.1
Homepage: https://github.com/certik/exodus
Vcs-Git: git://anonscm.debian.org/debian-science/packages/exodus.git

Package: libexodusii5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: exodusII datamodel for finite element analysis 
 EXODUS II is a model developed to store and retrieve transient data for
 finite element analyses. It is used for preprocessing, postprocessing,
 as well as code to code data transfer. ExodusII is based on netcdf.

Package: libnemesis3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libexodusii5 (= ${binary:Version})
Description: Parallel extension to the EXODUSII datamodel
 NEMESIS is an enhancement to the EXODUSII finite element database
 model used to store and retrieve data for unstructured parallel finite
 element analyses. NEMESIS adds data structures which facilitate the
 partitioning of a scalar (standard serial) EXODUSII file onto parallel
 disk systems found on many parallel computers.

Package:  libexodusii-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libnetcdf-dev, libnemesis3 ( = ${binary:Version}), libexodusii5 (= ${binary:Version})
Description: exodusII datamodel for finite element analysis
 EXODUS II is a model developed to store and retrieve transient data for
 finite element analyses. It is used for preprocessing, postprocessing, 
 as well as code to code data transfer. ExodusII is based on netcdf.
 It includes the nemesis parallel extension.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Version numbers
EX_SO_MAJOR=5
EX_SO_MINOR=14
EX_SO_PATCH=0
EX_SONAME:=libexoIIv2c.so.$(EX_SO_MAJOR)
EX_SONAME_FULL=$(EX_SONAME).$(EX_SO_MINOR).$(EX_SO_PATCH)
NE_SO_MAJOR=3
NE_SO_MINOR=09
NE_SO_PATCH=0
NE_SONAME=libnemesis.so.$(NE_SO_MAJOR)
NE_SONAME_FULL=$(NE_SONAME).$(NE_SO_MINOR).$(NE_SO_PATCH)

TOPDIR=$(shell pwd)
PKGDIR=debian/libexodusii-dev
PREFIX=$(TOPDIR)/debian/tmp/usr
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

# Magic debhelper rule
%:
	dh $@ --buildsystem cmake --sourcedirectory=exodus

# Workaround to cmake ignoring CPPFLAGS; needed for hardening
CFLAGS=$(shell  dpkg-buildflags --get CFLAGS) $(shell  dpkg-buildflags --get CPPFLAGS)
LDFLAGS=$(shell  dpkg-buildflags --get LDFLAGS) 

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *build exodusii

override_dh_auto_build:
	dh_auto_build
	# Shared build.
	mkdir -p exodus-shared-build
	( cd exodus-shared-build && \
		cmake ../exodus -DCMAKE_INSTALL_PREFIX=$(PREFIX)  \
			-DBUILD_SHARED_LIBS=TRUE -DCMAKE_SHARED_LINKER_FLAGS="-Wl,-z,relro -Wl,--as-needed"  && \
		$(MAKE))
	mkdir -p exodus-static-build
	( cd exodus-static-build && \
		cmake ../exodus -DCMAKE_INSTALL_PREFIX=$(PREFIX)  \
			-DBUILD_SHARED_LIBS=FALSE && $(MAKE) )
	# Then build nemesis
	ln -sf exodus exodusii
	mkdir -p nemesis-static-build
	(cd nemesis-static-build && \
		cmake ../nemesis -DEXODUS_LIBRARY=$(TOPDIR)/exodus-shared-build/cbind/$(EX_SONAME_FULL)  && \
		$(MAKE))
	mkdir -p nemesis-shared-build
	( cd nemesis-shared-build && \
		cmake ../nemesis  -DEXODUS_LIBRARY=$(TOPDIR)/exodus-shared-build/cbind/$(EX_SONAME_FULL) \
			 -DBUILD_SHARED_LIBS=TRUE -DCMAKE_SHARED_LINKER_FLAGS="-Wl,-z,relro -Wl,--as-needed" && \
		$(MAKE) )	

override_dh_auto_install:
	$(MAKE) -C exodus-shared-build install
	dh_auto_install
	dh_install -p libexodusii-dev nemesis-static-build/libnemesis.a $(LIBDIR)
	dh_install -p libexodusii-dev usr/lib/libexoIIv2c.a $(LIBDIR)
	dh_install -p libexodusii-dev usr/lib/libexoIIv2for.a $(LIBDIR)
	dh_install -p libexodusii5  exodus-shared-build/cbind/$(EX_SONAME_FULL) $(LIBDIR)
	dh_install -p libnemesis3  nemesis-shared-build/$(NE_SONAME_FULL) $(LIBDIR)
	chrpath -d debian/libnemesis3/$(LIBDIR)/$(NE_SONAME_FULL)
	chrpath -d debian/libexodusii5/$(LIBDIR)/$(EX_SONAME_FULL)
	dh_link -p libexodusii5 $(LIBDIR)/$(EX_SONAME_FULL) $(LIBDIR)/$(EX_SONAME).$(EX_SO_MINOR)
	dh_link -p libexodusii5 $(LIBDIR)/$(EX_SONAME_FULL) $(LIBDIR)/$(EX_SONAME)
	dh_link -p libnemesis3  $(LIBDIR)/$(NE_SONAME_FULL) $(LIBDIR)/$(NE_SONAME).$(NE_SO_MINOR)
	dh_link -p libnemesis3  $(LIBDIR)/$(NE_SONAME_FULL) $(LIBDIR)/$(NE_SONAME)
	dh_link -p libexodusii-dev $(LIBDIR)/$(EX_SONAME_FULL) $(LIBDIR)/libexoIIv2c.so
	dh_link -p libexodusii-dev $(LIBDIR)/$(NE_SONAME_FULL) $(LIBDIR)/libnemesis.so
